
From: Andrew Morton <akpm@osdl.org>

net/built-in.o(.text+0x4b4f7): In function `tcp_westwood_info':
net/ipv4/tcp_westwood.c:224: undefined reference to `tcpdiag_put'

Because TCP_CONG_WESTWOOD=y and CONFIG_IP_TCPDIAG=m.

Lame fix:

Cc: Stephen Hemminger <shemminger@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 net/ipv4/Kconfig |    2 ++
 1 files changed, 2 insertions(+)

diff -puN net/ipv4/Kconfig~tcp-tcp_westwood-kconfig-fix net/ipv4/Kconfig
--- 25/net/ipv4/Kconfig~tcp-tcp_westwood-kconfig-fix	2005-05-31 22:24:36.000000000 -0700
+++ 25-akpm/net/ipv4/Kconfig	2005-05-31 22:24:36.000000000 -0700
@@ -427,6 +427,7 @@ config TCP_CONG_BIC
 
 config TCP_CONG_WESTWOOD
 	tristate "TCP Westwood+"
+	select IP_TCPDIAG
 	default y
 	---help---
 	TCP Westwood+ is a sender-side only modification of the TCP Reno 
@@ -473,6 +474,7 @@ config TCP_CONG_HYBLA
 
 config TCP_CONG_VEGAS
 	tristate "TCP Vegas"
+	select IP_TCPDIAG
 	default n
 	---help---
 	TCP Vegas is a sender-side only change to TCP that anticipates
_
